# GESSourceClip

GESSourceClip-s are clips whose core elements are GESSource-s.

## Effects

GESSourceClip-s can also have GESBaseEffect-s added as non-core elements. These effects are applied to the core sources of the clip that they share a GESTrack with. See GESClip for how to add and move these effects from the clip.

## GESSourceClip

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESClip
                        ╰──GESSourceClip
                            ╰──GESTestClip
                            ╰──GESTitleClip
                            ╰──GESUriClip

Base class for sources of a GESLayer

### Members

`parent` (GESClip) –
No description available

### Class structure

#### GESSourceClipClass

### GES.SourceClipClass

## GES.SourceClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.SourceClip
                            ╰──GES.TestClip
                            ╰──GES.TitleClip
                            ╰──GES.UriClip

Base class for sources of a GES.Layer

### Members

`parent` (GES.Clip) –
No description available

## GES.SourceClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.SourceClip
                            ╰──GES.TestClip
                            ╰──GES.TitleClip
                            ╰──GES.UriClip

Base class for sources of a GES.Layer

### Members

`parent` (GES.Clip) –
No description available

## Constants

### GES_TYPE_SOURCE_CLIP

    #define GES_TYPE_SOURCE_CLIP ges_source_clip_get_type()

The results of the search are